Order Inspection
curl --request POST \
--url https://wash.vin/{vin}/inspection \
--header 'Content-Type: application/json' \
--data '
{
"contact": {
"name": "<string>",
"phone": "<string>"
},
"addons": [
"<string>"
]
}
'import requests
url = "https://wash.vin/{vin}/inspection"
payload = {
"contact": {
"name": "<string>",
"phone": "<string>"
},
"addons": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({contact: {name: '<string>', phone: '<string>'}, addons: ['<string>']})
};
fetch('https://wash.vin/{vin}/inspection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "wdr_hBNxywxcUZ",
"status": "pending",
"estimatedTime": null,
"invoice": {
"id": "inv_zzmsiUloNc"
"paid": false,
"total": 220,
"items": [
{
"service": "wash-and-inspection",
"name": "standard-inspection",
"description": "Standard inspection for WP0AF2A99KS165242",
"price": 220,
"quantity": 1
}
]
}
}
}
Inspection
Order Inspection
POST
/
{vin}
/
inspection
Order Inspection
This API is currently in closed beta, if you would like to participate please contact us!
Path Parameters
string
required
The Vehicle Identification Number (e.g. WP0AF2A99KS165242)
Body Parameters
object
required
string[]
The addons that the person ordering the inspection wants to include in the inspection.
Avalible options:
carfax, verbal-assessment.carfax: A report that provides information about the vehicle’s history.verbal-assessment: A member of the inspection team will call the person ordering the inspection and provide a verbal assessment of the vehicle. Useful if you wish to know more, or ask questions about the vehicle.
Response
object
required
Hide child attributes
Hide child attributes
string
The ID of the inspection request, used to track the status of the inspection.
enum<string>
The status of the inspection request.
Avalible options:
pending, completed, canceled.ISODate<string> | null
The date when the inspection is expected to be completed. This is an estimate, and may change, so it is recommended to check every so often.This value is
null if the inspection has not been scheduled yet, such as if the invoice is yet to be completed.Invoice
The invoice for the inspection request. This must be paid before any work is booked, or worked on.You can find out more about invoices, and how they work in the Invoices API.
Hide child attributes
Hide child attributes
string
The ID of the invoice.
boolean
Whether the invoice has been paid.
number
The total amount of the invoice. This is a sum of all the items in the invoice, including addons, and taxes.
array
required
Hide child attributes
Hide child attributes
string
The service that this item is for. e.g. “wash-and-inspection”
string
The name of the service.
string
The description of the service. e.g. “Standard inspection for WP0AF2A99KS165242”
number
The price of the service, typically $220 for standard vehicles.
number
The quantity of services ordered, usually 1.
{
"data": {
"id": "wdr_hBNxywxcUZ",
"status": "pending",
"estimatedTime": null,
"invoice": {
"id": "inv_zzmsiUloNc"
"paid": false,
"total": 220,
"items": [
{
"service": "wash-and-inspection",
"name": "standard-inspection",
"description": "Standard inspection for WP0AF2A99KS165242",
"price": 220,
"quantity": 1
}
]
}
}
}
⌘I